io.milvus.v2.service.vector.request.data

## Class Float16Vec

- java.lang.Object
- - io.milvus.v2.service.vector.request.data.Float16Vec

- All Implemented Interfaces:
    BaseVector

      public class Float16Vec
      extends java.lang.Object
      implements BaseVector

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Float16Vec(byte[] data)`
    `Float16Vec(java.nio.ByteBuffer data)`
    `Float16Vec(java.util.List<java.lang.Float> data)` Construct a float16 vector by a float32 array.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Object` | `getData()`
    `io.milvus.grpc.PlaceholderType` | `getPlaceholderType()`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Float16Vec

          public Float16Vec(java.nio.ByteBuffer data)

    - #### Float16Vec

          public Float16Vec(byte[] data)

    - #### Float16Vec

          public Float16Vec(java.util.List<java.lang.Float> data)

      Construct a float16 vector by a float32 array. Note that all the float32 values will be cast to float16 values and store into ByteBuffer.
      Parameters:
        `data` - a float32 vector

  - ### Method Detail

    - #### getPlaceholderType

          public io.milvus.grpc.PlaceholderType getPlaceholderType()

      Specified by:
        `getPlaceholderType` in interface `BaseVector`

    - #### getData

          public java.lang.Object getData()

      Specified by:
        `getData` in interface `BaseVector`